# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2011 Eficent (<http://www.eficent.com/>)
#              Jordi Ballester Alomar <jordi.ballester@eficent.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import tools
from openerp.osv import fields, osv
from openerp.tools.translate import _

import datetime

class task(osv.osv):
    _inherit = 'project.task'
    
    _columns = {

    }

# Este parte fue desabilitada porque hacia que algunas cosas vayan un poco lentas. se agrego boton para calcular manualmente en cada recurso. 
    def compute_control_status(self, cr, uid, ids, context=None):

        resource_obj = self.pool.get('resource.resource')
        if isinstance(ids, (int, long)):
            ids = [ids]        
        for task in self.browse(cr, uid, ids, context=context):
            resource_ids = resource_obj.search(cr, uid, [('user_id','=',task.user_id.id)], context=context)
            resource_obj.compute_control_status(cr, uid, resource_ids, context=context)
        
    def write(self, cr, uid, ids, vals, context=None):
        ret = super(task, self).write(cr, uid, ids, vals, context=context)

        if not context:
            context = {}
        if 'from_calculation' not in context:
            self.compute_control_status(cr, 1, ids, context=context)
        return ret    

# we make this because we are not calculating load on each task write on calculate network, a kind of optimization. We calculate it at the end the network calculation
    def calculate_network(self, cr, uid, ids, context, *args):
        ret = super(task, self).calculate_network(cr, uid, ids, context=context)
        resource_obj = self.pool.get('resource.resource')
        resourse_ids = resource_obj.search(cr, uid, [('active','=',True)], context=context)
        resource_obj.compute_control_status(cr, 1, resourse_ids, context=context)
        return ret