# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Business Applications
#    Copyright (C) 2004-2012 OpenERP S.A. (<http://openerp.com>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields, osv
from openerp.tools.translate import _

class project_configuration(osv.TransientModel):
    _inherit = 'project.config.settings'
    
    _columns = {
        'threashold_warning_percentage': fields.integer('Workload threashold for Warning (percentage)', help='Porcentaje para considerar que la carga de un recuso esta en warning.'),
    }
    
    def get_default_threashold_warning_percentage(self, cr, uid, ids, context=None):
        return self.default_get_int_function(cr, uid, ids, 'property_threashold_warning_percentage', 'threashold_warning_percentage', context=context)
    def set_threashold_warning_percentage(self, cr, uid, ids, context=None):
        return self.default_set_int_function(cr, uid, ids, 'property_threashold_warning_percentage', 'threashold_warning_percentage', context=context)
    
    def default_get_int_function(self, cr, uid, ids, para_name, field_name, context=None):
        config_parameters = self.pool.get('ir.config_parameter')
        field_value = config_parameters.get_param(cr, uid, para_name, context=context)
        if field_value:
            return {field_name: int(field_value)}
        else:
            return {field_name: 0}
        
    def default_set_int_function(self, cr, uid, ids, para_name, field_name, context=None):
        config_parameters = self.pool.get('ir.config_parameter')
        for record in self.browse(cr, uid, ids, context=context):
            config_parameters.set_param(cr, uid, para_name, record[field_name] or '0', context=context)
    
        
project_configuration()
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:





